MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0030146Open CASCADE[OCCT] OCCT:Visualizationpublic2018-09-19 17:322018-09-30 18:47
Reporternbv 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusverifiedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 6.3.1 
Target Version[OCCT] 7.4.0*Fixed in Version 
Summary0030146: Visualization - exception during attempt to display Edge without geometry
DescriptionSee Steps To Reproduce. Please pay attention to the fact that the shape does not contain any geometry. It contains only triangulation.
Steps To Reproduce
pload MODELING VISUALIZATION
restore [locate_data_file CTO904_cts20176a.rle] a
incmesh a 0.1
tclean -geom a

vdisplay a
# An exception was caught 00000231DE5C9FC0 : Standard_NullObject: BRepAdaptor_Curve::No geometry
** Exception ** 00000231DE5C9FC0 : Standard_NullObject: BRepAdaptor_Curve::No geometry

----------------------------
# Another script is valid

pcylinder cy 20 100
compound cy cm
nurbsconvert cm
incmesh cm 0.1
tclean -geom cm

vdisplay cm
# OK
TagsNo tags attached.
Test case numberbugs/vis/bug30146
Attached Files

- Relationships

-  Notes
(0079271)
git (administrator)
2018-09-20 11:42

Branch CR30146 has been created by kgv.

SHA-1: ad1d2bf4598bd24a2a05b4978ec358392bd2b2ae


Detailed log of new commits:

Author: kgv
Date: Thu Sep 20 11:40:19 2018 +0300

    0030146: Visualization - exception during attempt to display Edge without geometry
    
    StdPrs_ToolRFace no skips curves with NULL curves.
    Code has been cleaned up from duplicated checks, redundant casts
    and dummy Adaptor2d_Curve2dPtr typedef.
    
    StdSelect_BRepSelectionTool::GetSensitiveForFace() now catches
    Standard_NullObject exception to skip invalid Edges.
(0079280)
kgv (developer)
2018-09-20 14:05

Patch is ready for review.
(0079281)
git (administrator)
2018-09-20 14:20

Branch CR30146 has been updated forcibly by kgv.

SHA-1: 4707cd0a381a7015cc7b0c0ebe1f3da24d1096bb
(0079300)
san (developer)
2018-09-20 23:04

Branch CR30146 reviewed without remarks.
(0079342)
bugmaster (administrator)
2018-09-24 10:29

Combination -
OCCT branch : CR30146 SHA - 4707cd0a381a7015cc7b0c0ebe1f3da24d1096bb
Products branch : master SHA - f9065a267b8d853b9b62de5a81af9e9e51bc8d26
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 17400.419999999758 / 17379.439999999933 [+0.12%]
Products
Total CPU difference: 7473.160000000059 / 7467.690000000077 [+0.07%]
Windows-64-VC14:
OCCT
Total CPU difference: 17514.46627149851 / 17536.33761169853 [-0.12%]
Products
Total CPU difference: 8412.041922999997 / 8382.276932199968 [+0.36%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention
(0079515)
git (administrator)
2018-09-30 18:47

Branch CR30146 has been deleted by inv.

SHA-1: 4707cd0a381a7015cc7b0c0ebe1f3da24d1096bb

- Related Changesets
occt: master 4ba5491a
Timestamp: 2018-09-20 08:40:19
Author: kgv
Committer: bugmaster
Details ] Diff ]
0030146: Visualization - exception during attempt to display Edge without geometry

StdPrs_ToolRFace no skips curves with NULL curves.
Code has been cleaned up from duplicated checks, redundant casts
and dummy Adaptor2d_Curve2dPtr typedef.

StdSelect_BRepSelectionTool::GetSensitiveForFace() now catches
Standard_NullObject exception to skip invalid Edges.
rm - src/Adaptor2d/Adaptor2d_Curve2dPtr.hxx Diff ] File ]
mod - src/Adaptor2d/FILES Diff ] File ]
mod - src/BRepAdaptor/BRepAdaptor_Curve.cxx Diff ] File ]
mod - src/BRepAdaptor/BRepAdaptor_Curve.hxx Diff ] File ]
mod - src/Geom2dAdaptor/Geom2dAdaptor_Curve.cxx Diff ] File ]
mod - src/Geom2dAdaptor/Geom2dAdaptor_Curve.hxx Diff ] File ]
mod - src/GeomAdaptor/GeomAdaptor_Curve.cxx Diff ] File ]
mod - src/GeomAdaptor/GeomAdaptor_Curve.hxx Diff ] File ]
mod - src/StdPrs/StdPrs_Isolines.cxx Diff ] File ]
mod - src/StdPrs/StdPrs_ToolRFace.cxx Diff ] File ]
mod - src/StdPrs/StdPrs_ToolRFace.hxx Diff ] File ]
mod - src/StdPrs/StdPrs_WFDeflectionRestrictedFace.cxx Diff ] File ]
mod - src/StdPrs/StdPrs_WFRestrictedFace.cxx Diff ] File ]
mod - src/StdSelect/StdSelect_BRepSelectionTool.cxx Diff ] File ]
mod - src/VrmlConverter/VrmlConverter_WFDeflectionRestrictedFace.cxx Diff ] File ]
mod - src/VrmlConverter/VrmlConverter_WFRestrictedFace.cxx Diff ] File ]
add - tests/bugs/vis/bug30146 Diff ] File ]

- Issue History
Date Modified Username Field Change
2018-09-19 17:32 nbv New Issue
2018-09-19 17:32 nbv Assigned To => kgv
2018-09-19 17:32 nbv Relationship added related to 0030098
2018-09-20 11:21 kgv Summary Exception during attempt of visualizing shape => Visualization - exception during attempt to display Edge without geometry
2018-09-20 11:42 git Note Added: 0079271
2018-09-20 11:43 kgv Steps to Reproduce Updated View Revisions
2018-09-20 11:47 kgv Product Version => 6.3.1
2018-09-20 14:05 kgv Note Added: 0079280
2018-09-20 14:05 kgv Assigned To kgv => san
2018-09-20 14:05 kgv Status new => resolved
2018-09-20 14:20 git Note Added: 0079281
2018-09-20 14:45 bugmaster Project Internal => Open CASCADE
2018-09-20 23:04 san Note Added: 0079300
2018-09-20 23:04 san Assigned To san => bugmaster
2018-09-20 23:04 san Status resolved => reviewed
2018-09-22 17:38 bugmaster Test case number => bugs/vis/bug30146
2018-09-22 17:38 bugmaster Sticky Issue No => Yes
2018-09-24 10:29 bugmaster Note Added: 0079342
2018-09-24 10:29 bugmaster Status reviewed => tested
2018-09-27 07:06 abv Sticky Issue Yes => No
2018-09-30 18:26 bugmaster Changeset attached => occt master 4ba5491a
2018-09-30 18:26 bugmaster Status tested => verified
2018-09-30 18:26 bugmaster Resolution open => fixed
2018-09-30 18:47 git Note Added: 0079515


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker